[arvados] updated: 2.7.0-6265-gfab6a26030
git repository hosting
git at public.arvados.org
Sun Mar 24 03:27:32 UTC 2024
Summary of changes:
build/run-library.sh | 6 ++++++
1 file changed, 6 insertions(+)
via fab6a2603007e5ef60385148d09d51f3ed0f5b2c (commit)
from aca95ae8737d90adcee57929caa4239d2a7e1f66 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit fab6a2603007e5ef60385148d09d51f3ed0f5b2c
Author: Brett Smith <brett.smith at curii.com>
Date: Sat Mar 23 23:26:58 2024 -0400
21601: Ensure pip is new enough to support package building
Arvados-DCO-1.1-Signed-off-by: Brett Smith <brett.smith at curii.com>
diff --git a/build/run-library.sh b/build/run-library.sh
index b15446ec53..6380e1cb19 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -691,6 +691,12 @@ fpm_build_virtualenv_worker () {
if ! "$PYTHON3_EXECUTABLE" -m venv "$venv_dir"; then
printf "Error, unable to run\n %s -m venv %s\n" "$PYTHON3_EXECUTABLE" "$venv_dir"
exit 1
+ # We must have the dependency resolver introduced in late 2020 for the rest
+ # of our install process to work.
+ # <https://blog.python.org/2020/11/pip-20-3-release-new-resolver.html>
+ elif ! "$venv_dir/bin/pip" install "pip>=20.3"; then
+ printf "Error, unable to run\n %s/bin/pip install 'pip>=20.3'\n" "$venv_dir"
+ exit 1
fi
local pip_wheel="$(ls --sort=time --reverse "$PYTHON_BUILDROOT/wheelhouse/$(echo "$PKG" | sed s/-/_/g)-"*.whl | tail -n1)"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list